/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
void BleEventHandler(uint32 event, void * eventParam);
uint8 UART_Tx;


void BleEventHandler(uint32 event, void * eventParam)
{
    CYBLE_GATTS_WRITE_REQ_PARAM_T wrReq;
switch (event)
{
case CYBLE_EVT_STACK_ON:
    CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_FAST);
    break;
case CYBLE_EVT_GATTS_WRITE_REQ:
   wrReq = *(CYBLE_GATTS_WRITE_REQ_PARAM_T*) eventParam;
if(wrReq.handleValPair.attrHandle==CYBLE_CUSTOM_SERVICE_CUSTOM_CHARACTERISTIC_CHAR_HANDLE)
{
UART_Tx=wrReq.handleValPair.value.val[0];
UART_UartPutChar('0'+UART_Tx);
 CyBle_GattsWriteAttributeValue(&wrReq.handleValPair,0,&cyBle_connHandle,0);
 CyBle_GattsWriteRsp(cyBle_connHandle);

}
    break;
default:
break;
}

}
int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    
    UART_Start();
    CyBle_Start(BleEventHandler);

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    
    
    for(;;)
    {
        CyBle_ProcessEvents();
        
    }
}

/* [] END OF FILE */
